Bug 962164 - Curlftpfs duplicate owning files in -debuginfo packages whta lead to install conflicts
Curlftpfs duplicate owning files in -debuginfo packages whta lead to install ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: curlftpfs (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pavel Alexeev
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-12 03:51 EDT by Pavel Alexeev
Modified: 2014-01-07 09:37 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-07 09:37:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Alexeev 2013-05-12 03:51:55 EDT
Description of problem:
[root@hubbitus ~]# LANG=C debuginfo-install fuse curl libcurl
...
Install  4 Packages (+1 Dependent package)

Total size: 19 M
Installed size: 110 M
Is this ok [y/N]: y
Downloading Packages:
Running Transaction Check
Running Transaction Test


Transaction Check Error:
  file /usr/lib/debug from install of glibc-debuginfo-common-2.16-31.fc18.x86_64 conflicts with file from package curlftpfs-debuginfo-0.9.2-13.fc20.x86_64
  file /usr/lib/debug/.build-id from install of glibc-debuginfo-common-2.16-31.fc18.x86_64 conflicts with file from package curlftpfs-debuginfo-0.9.2-13.fc20.x86_64
  file /usr/lib/debug/usr from install of glibc-debuginfo-common-2.16-31.fc18.x86_64 conflicts with file from package curlftpfs-debuginfo-0.9.2-13.fc20.x86_64
  file /usr/lib/debug/usr/bin from install of glibc-debuginfo-common-2.16-31.fc18.x86_64 conflicts with file from package curlftpfs-debuginfo-0.9.2-13.fc20.x86_64
  file /usr/lib/debug from install of glibc-debuginfo-2.16-31.fc18.x86_64 conflicts with file from package curlftpfs-debuginfo-0.9.2-13.fc20.x86_64
  file /usr/lib/debug/.build-id from install of glibc-debuginfo-2.16-31.fc18.x86_64 conflicts with file from package curlftpfs-debuginfo-0.9.2-13.fc20.x86_64
  file /usr/lib/debug/usr from install of glibc-debuginfo-2.16-31.fc18.x86_64 conflicts with file from package curlftpfs-debuginfo-0.9.2-13.fc20.x86_64
  file /usr/lib/debug from install of fuse-debuginfo-2.9.2-1.fc18.x86_64 conflicts with file from package curlftpfs-debuginfo-0.9.2-13.fc20.x86_64
  file /usr/lib/debug/.build-id from install of fuse-debuginfo-2.9.2-1.fc18.x86_64 conflicts with file from package curlftpfs-debuginfo-0.9.2-13.fc20.x86_64
  file /usr/lib/debug/usr from install of fuse-debuginfo-2.9.2-1.fc18.x86_64 conflicts with file from package curlftpfs-debuginfo-0.9.2-13.fc20.x86_64
  file /usr/lib/debug/usr/bin from install of fuse-debuginfo-2.9.2-1.fc18.x86_64 conflicts with file from package curlftpfs-debuginfo-0.9.2-13.fc20.x86_64
  file /usr/lib/debug from install of curl-debuginfo-7.27.0-10.fc18.x86_64 conflicts with file from package curlftpfs-debuginfo-0.9.2-13.fc20.x86_64
  file /usr/lib/debug/.build-id from install of curl-debuginfo-7.27.0-10.fc18.x86_64 conflicts with file from package curlftpfs-debuginfo-0.9.2-13.fc20.x86_64
  file /usr/lib/debug/usr from install of curl-debuginfo-7.27.0-10.fc18.x86_64 conflicts with file from package curlftpfs-debuginfo-0.9.2-13.fc20.x86_64
  file /usr/lib/debug/usr/bin from install of curl-debuginfo-7.27.0-10.fc18.x86_64 conflicts with file from package curlftpfs-debuginfo-0.9.2-13.fc20.x86_64
  file /usr/lib/debug from install of zlib-debuginfo-1.2.7-9.fc18.x86_64 conflicts with file from package curlftpfs-debuginfo-0.9.2-13.fc20.x86_64
  file /usr/lib/debug/.build-id from install of zlib-debuginfo-1.2.7-9.fc18.x86_64 conflicts with file from package curlftpfs-debuginfo-0.9.2-13.fc20.x86_64
  file /usr/lib/debug/usr from install of zlib-debuginfo-1.2.7-9.fc18.x86_64 conflicts with file from package curlftpfs-debuginfo-0.9.2-13.fc20.x86_64

Error Summary
-------------

Version-Release number of selected component (if applicable):
# rpm -qa '*curl'
libcurl-7.27.0-10.fc18.x86_64
python-pycurl-7.19.0-13.1.fc18.x86_64
libcurl-7.27.0-10.fc18.i686
curl-7.27.0-10.fc18.x86_64

How reproducible:
Always
Comment 1 Fedora Update System 2013-05-12 16:21:19 EDT
curlftpfs-0.9.2-14.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/curlftpfs-0.9.2-14.fc19
Comment 2 Fedora Update System 2013-05-12 16:29:55 EDT
curlftpfs-0.9.2-14.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/curlftpfs-0.9.2-14.fc18
Comment 3 Fedora Update System 2013-05-12 17:50:20 EDT
curlftpfs-0.9.2-14.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/curlftpfs-0.9.2-14.fc17
Comment 4 Fedora Update System 2013-05-13 13:55:29 EDT
curlftpfs-0.9.2-14.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/curlftpfs-0.9.2-14.el6
Comment 5 Fedora Update System 2013-05-27 21:00:43 EDT
curlftpfs-0.9.2-14.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-05-27 21:04:31 EDT
curlftpfs-0.9.2-14.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-06-02 17:36:34 EDT
curlftpfs-0.9.2-14.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-09-11 21:57:38 EDT
curlftpfs-0.9.2-14.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora End Of Life 2013-12-21 10:46:56 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.